<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Register - Input Form by Tooplate</title>
    <!--
    Template 2105 Input
    http://www.tooplate.com/view/2105-input
    -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:300,400">
    <link rel="stylesheet" th:href="@{/css/login-register_css/bootstrap.min.css}"
          href="../static/css/login-register_css/bootstrap.min.css">
    <link rel="stylesheet" th:href="@{/css/login-register_css/materialize.min.css}"
          href="../static/css/login-register_css/materialize.min.css">
    <link rel="stylesheet" th:href="@{/css/login-register_css/tooplate.css}"
          href="../static/css/login-register_css/tooplate.css">
</head>

<body id="register">
<div class="container">
    <div class="row tm-register-row">
        <div class="col-xl-12 col-lg-6 col-md-6 col-sm-12 tm-register-col-l">
            <h3 class="mt-0 text-white">REGISTER</h3>
            <p>
                <i th:if="${error != null}" th:text="${error}" class="error"></i>
            </p>
            <form th:action="@{/register}" th:object="${user}" method="post">

                <div class="mb-2">
                    <label class="mr-4">
                        <input class="with-gap" th:field="*{gender}" name="gender" type="radio"
                               value="Male"/>
                        <span>Male</span>
                    </label>
                    <label class="mr-4">
                        <input class="with-gap" th:field="*{gender}" name="gender" type="radio"
                               value="Female"/>
                        <span>Female</span>
                    </label>
                </div>

                <div class="input-field">
                    <input th:field="*{firstName}" placeholder="First Name"
                           id="first_name" name="firstName" type="text" class="validate" minlength="2" maxlength="20">
                </div>
                <div class="input-field">
                    <input th:field="*{lastName}" placeholder="Last Name"
                           id="last_name" name="lastName" type="text" class="validate" minlength="2" maxlength="20">
                </div>
                <div class="input-field">
                    <input th:field="*{username}" placeholder="Email"
                           id="username" name="username" type="email" class="validate" minlength="5" maxlength="40">
                </div>
                <div class="input-field">
                    <input th:field="*{password}" placeholder="Password"
                           id="password" name="password" type="password" class="validate" minlength="4" maxlength="40">
                </div>
                <div class="input-field">
                    <input th:field="*{matchingPassword}" placeholder="Confirm password"
                           id="confirm_password" name="matchingPassword" type="password" class="validate" minlength="4" maxlength="40">
                </div>

                <div class="text-right mt-4">
                    <button value="REGISTER" type="submit"
                            class="waves-effect btn-large btn-large-white px-4 black-text">SUBMIT
                    </button>
                </div>
            </form>
        </div>
    </div>
    <footer class="row tm-mt-big mb-3">
        <div class="col-xl-12">
            <p class="text-center grey-text text-lighten-2 tm-footer-text-small">

                - <a rel="nofollow" href="http://www.tooplate.com/view/2105-input"></a>
                <a rel="nofollow" href="http://tooplate.com" class="tm-footer-link"></a>
            </p>
        </div>
    </footer>
</div>

<script th:src="@{/js/login-register_js/jquery-3.2.1.slim.min.js}"
        src="../static/js/login-register_js/jquery-3.2.1.slim.min.js"></script>
<script th:src="@{/js/login-register_js/materialize.min.js}"
        src="../static/js/login-register_js/materialize.min.js"></script>
<script>
    $(document).ready(function () {
        $('select').formSelect();
    });
</script>
</body>

</html>